IT: OTS (China) - 0 [ Bug #232

Update the date and operator according to the product unit not the order unit
11/01/2022 11:46 AM - Xihua Fan

Status: oo0 Start date: 11/01/2022
Priority: aa Due date: 11/02/2022
Assignee: Xihua Fan % Done: 100%
Category: Estimated time: 8.00 hours
Target version: v3.0 Spent time: 12.00 hours
Description

Task Details

1. Update the date and operator according to the product unit not the order unit
Input

e Claim from Lee
Output

¢ Report and Solution

Others

History

#1 - 11/01/2022 11:46 AM - Xihua Fan
- File update order.png added

#2 - 11/02/2022 07:17 PM - Xihua Fan
- Status changed from 000 to0010
- Assignee changed from Zhongbao Ye to Xihua Fan

- % Done changed from 0 to 100

Output(2022/11/2)
e Update the date and operator according to the product unit not the order unit

¢ Solution: If updating the order details, will update the order product as well. But If only updating the product order, will just update it.
protected/actions/order/SaveByAjaxAction.php
protected/actions/order/QueryForUseAction.php
protected/services/OrderService.php

#3 - 02/13/2023 06:58 PM - Xihua Fan
Output(2023/02/13)

e Display order products under the same order, even if we update the order products with different date times.

¢ Solution: Change the sort order from op.update_time to o.update_time and display o.update_time at the same time.
protected\actions\order\ExportExcelAction.php
protected\actions\order\QueryForUseAction.php
protected\services\OrderService.php
ui\desktop\js\order.js

#4 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0

Files

update order.png 122 KB 11/01/2022 Xihua Fan
